Add a minimize maximize buttons in EJ2 JavaScript Dialog control

8 May 20239 minutes to read

Dialog allows end users to either minimize or maximize the Dialog component. You can add minimize and maximize custom buttons near the close icon in the Dialog header using the headerTemplate property and handle the actions in the button click events, as shown in the following sample.

ej.base.enableRipple(true);

var dialogObj = new ej.popups.Dialog({
    header: `<span class='title'>Dialog</span>
    <span class='e-icons sf-icon-Maximize' id='max-btn' title='Maximize'></span>
    <span class='e-icons sf-icon-Minimize' id='min-btn' title='Minimize'></span>`,
    content: "This is a dialog with minimize and maximize buttons",
    showCloseIcon: true,
    buttons: [{ buttonModel: { isPrimary: true, content: 'Yes', iconCss: 'e-icons e-ok-icon' }, click: btnClick }, { buttonModel: { content: 'No', iconCss: 'e-icons e-close-icon' }, click: btnClick }],
    target: document.body,
    height: 'auto',
    width: '300px',
    animationSettings: { effect: 'Zoom' },
    closeOnEscape: true
});
dialogObj.appendTo('#dialog');

document.getElementById('openBtn').onclick = function () {
    dialogObj.show();
};

function btnClick() {
    dialogObj.hide();
}

let hide;
let isFullScreen;
let dialogOldPositions;

document.getElementById("max-btn").addEventListener("click", function() {
    let maximizeIcon;
      if (dialogObj.element.classList.contains('dialog-minimized')) {
        dialogObj.element.querySelector('#min-btn').classList.add('sf-icon-Minimize');
        dialogObj.element.querySelector('#min-btn').classList.remove('sf-icon-Restore');
        dialogObj.element.querySelector('#min-btn').setAttribute('title', 'Minimize');
      }
      if (!dialogObj.element.classList.contains('dialog-maximized') && !isFullScreen) {
        maximizeIcon = dialogObj.element.querySelector(".e-dlg-header-content .sf-icon-Maximize");
      } else {
        maximizeIcon = dialogObj.element.querySelector(".e-dlg-header-content .sf-icon-Restore");
      }
      if (!dialogObj.element.classList.contains('dialog-maximized')) {
        dialogObj.element.classList.add('dialog-maximized');
        dialogObj.show(true);
        maximizeIcon.classList.add('sf-icon-Restore');
        maximizeIcon.setAttribute('title', 'Restore');
        maximizeIcon.classList.remove('sf-icon-Maximize');
        dialogObj.element.querySelector('.e-dlg-content').classList.remove('hide-content');
        isFullScreen = true;
      } else {
        dialogObj.element.classList.remove('dialog-maximized');
        dialogObj.show(false);
        maximizeIcon.classList.remove('sf-icon-Restore');
        maximizeIcon.classList.add('sf-icon-Maximize');
        maximizeIcon.setAttribute('title', 'Maximize');
        dialogObj.element.querySelector('.e-dlg-content').classList.remove('hide-content');
        dialogObj.position = dialogOldPositions;
        dialogObj.dataBind();
        isFullScreen = false;
      }
  });
  
    document.getElementById("min-btn").addEventListener("click", function() {
      let minimizeIcon = dialogObj.element.querySelector(".e-dlg-header-content .sf-icon-Minimize");
      if (!dialogObj.element.classList.contains('e-dlg-fullscreen')) {
        if (!dialogObj.element.classList.contains('dialog-minimized')) {
          dialogOldPositions = { X: dialogObj.position.X, Y: dialogObj.position.Y }
          dialogObj.element.classList.add('dialog-minimized');
          dialogObj.element.classList.remove('dialog-maximized');
          dialogObj.element.querySelector('.e-dlg-content').classList.add('hide-content');
          dialogObj.position = { X: 'center', Y: 'bottom' };
          dialogObj.dataBind();
          minimizeIcon.classList.add('sf-icon-Restore');
          minimizeIcon.setAttribute('title', 'Restore');
        } else {
          dialogObj.element.classList.remove('dialog-minimized');
          dialogObj.element.querySelector('.e-dlg-content').classList.remove('hide-content');
          minimizeIcon.classList.add('sf-icon-Minimize');
          minimizeIcon.setAttribute('title', 'Minimize');
          minimizeIcon.classList.remove('sf-icon-Restore');
          dialogObj.position = dialogOldPositions;
          dialogObj.dataBind();
        }
      } else {
        dialogObj.show(false);
        dialogObj.element.classList.remove('dialog-maximized');
        dialogObj.element.classList.add('dialog-minimized');
        dialogObj.element.querySelector('.e-dlg-content').classList.add('hide-content');
        minimizeIcon.classList.remove('sf-icon-Minimize');
        minimizeIcon.removeAttribute('title');
        dialogObj.position = { X: 'center', Y: 'bottom' };
        dialogObj.dataBind();
        isFullScreen = true;
      }
    });
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 Dialog button with icons</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="TypeScript UI Components">
    <meta name="author" content="Syncfusion">
    <link href="styles.css" rel="stylesheet">
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/29.2.4/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/29.2.4/ej2-buttons/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/29.2.4/ej2-inputs/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/29.2.4/ej2-popups/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/29.2.4/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body class="close-dialog">
    
    <div id="container">
        <div id="target" class="close-dialog">
            <center><button id="openBtn" class="e-control e-btn">Open</button></center>
            <div id="dialog"> </div>
        </div> 
    </div>

<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Add a minimize maximize buttons in Angular Dialog component

27 Apr 202410 minutes to read

Angular Dialog allows end users to either minimize or maximize the Dialog component. You can add minimize and maximize custom buttons near the close icon in the Dialog header using the headerTemplate property and handle the actions in the button click events, as shown in the following sample.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { DialogModule } from '@syncfusion/ej2-angular-popups'




import { Component, ViewChild, OnInit, ElementRef } from '@angular/core';
import { DialogComponent } from '@syncfusion/ej2-angular-popups';
import { EmitType } from '@syncfusion/ej2-base';

@Component({
imports: [
        
		DialogModule
    ],


standalone: true,
    selector: 'app-root',
    template: `
    <button class="e-control e-btn" style="position: absolute;" id="targetButton" (click)="onOpenDialog($event)">Open Dialog</button>
    <div #container class='root-container'></div>
      <ejs-dialog id='dialog' #Dialog showCloseIcon='true' [visible]='visible' content='This is a dialog with minimize and maximize buttons' [target]='targetElement'
      width='250px' [buttons]='buttons'>
      <ng-template #header>
          <span class='title'>Dialog</span>
          <span class='e-icons sf-icon-Maximize' id='max-btn' title='Maximize' (click)='maximize()'></span>
          <span class='e-icons sf-icon-Minimize' id='min-btn' title='Minimize' (click)='minimize()'></span>
      </ng-template>
      </ejs-dialog> `
})

export class AppComponent implements OnInit {
    @ViewChild('Dialog') dialogObj: DialogComponent | any;
    // Create element reference for dialog target element.
    @ViewChild('container', { read: ElementRef }) container: ElementRef | undefined;
    // The Dialog shows within the target element.
    public targetElement?: HTMLElement;
    public width: string = '350px';
    public hide?: any;
    public isFullScreen?: Boolean;
    public dialogOldPositions?: any;
    //To get all the elements of the dialog component after the component is initialized.
    ngOnInit() {
      this.initilaizeTarget();
    }
    // Initialize the Dialog component's target element.
    public initilaizeTarget: EmitType<object> = () => {
      this.targetElement = this.container!.nativeElement.parentElement;
    }
    public visible: Boolean = false;
    // Hide the Dialog when click the footer button.
    public hideDialog: EmitType<object> = () => {
        this.dialogObj!.hide();
    }
    // Enables the footer buttons
    public buttons: Object = [
        {
            'click': this.hideDialog.bind(this),
            // Accessing button component properties by using the buttonModel property
              buttonModel:{
              content:'OK',
              //Enables the primary button
              isPrimary: true
            }
        },
        {
            'click': this.hideDialog.bind(this),
            buttonModel:{
              content:'Cancel'
            }
        }
    ];
    public onOpenDialog = (event: any): void => {
        // Call the show method to open the Dialog
        this.dialogObj!.show();
    }
    public maximize(): void {
    var maximizeIcon;
    if (this.dialogObj!.element.classList.contains('dialog-minimized')) {
      this.dialogObj!.element.querySelector('#min-btn')!.classList.add('sf-icon-Minimize');
      this.dialogObj!.element.querySelector('#min-btn')!.classList.remove('sf-icon-Restore');
      this.dialogObj!.element.querySelector('#min-btn')!.setAttribute('title', 'Minimize');
    }
    if (!this.dialogObj!.element.classList.contains('dialog-maximized') && !this.isFullScreen) {
      maximizeIcon = this.dialogObj!.element.querySelector(".e-dlg-header-content .sf-icon-Maximize");
    } else {
      maximizeIcon = this.dialogObj!.element.querySelector(".e-dlg-header-content .sf-icon-Restore");
    }
    if (!this.dialogObj!.element.classList.contains('dialog-maximized')) {
      this.dialogObj!.element.classList.add('dialog-maximized');
      this.dialogObj!.show(true);
      maximizeIcon!.classList.add('sf-icon-Restore');
      maximizeIcon!.setAttribute('title', 'Restore');
      maximizeIcon!.classList.remove('sf-icon-Maximize');
      this.dialogObj!.element.querySelector('.e-dlg-content')!.classList.remove('hide-content');
      this.isFullScreen = true;
    } else {
      this.dialogObj!.element.classList.remove('dialog-maximized');
      this.dialogObj!.show(false);
      maximizeIcon!.classList.remove('sf-icon-Restore');
      maximizeIcon!.classList.add('sf-icon-Maximize');
      maximizeIcon!.setAttribute('title', 'Maximize');
      this.dialogObj!.element.querySelector('.e-dlg-content')!.classList.remove('hide-content');
      this.dialogObj!.position = this.dialogOldPositions;
      this.dialogObj!.dataBind();
      this.isFullScreen = false;
    }
  }

  public minimize(): void {
    var minimizeIcon = this.dialogObj!.element.querySelector(".e-dlg-header-content .sf-icon-Minimize");
    if (!this.dialogObj!.element.classList.contains('e-dlg-fullscreen')) {
      if (!this.dialogObj!.element.classList.contains('dialog-minimized')) {
        this.dialogOldPositions = { X: this.dialogObj!.position.X, Y: this.dialogObj!.position.Y }
        this.dialogObj!.element.classList.add('dialog-minimized');
        this.dialogObj!.element.classList.remove('dialog-maximized');
        this.dialogObj!.element.querySelector('.e-dlg-content')!.classList.add('hide-content');
        this.dialogObj!.position = { X: 'center', Y: 'bottom' };
        this.dialogObj!.dataBind();
        minimizeIcon!.classList.add('sf-icon-Restore');
        minimizeIcon!.setAttribute('title', 'Restore');
      } else {
        this.dialogObj!.element.classList.remove('dialog-minimized');
        this.dialogObj!.element.querySelector('.e-dlg-content')!.classList.remove('hide-content');
        minimizeIcon!.classList.add('sf-icon-Minimize');
        minimizeIcon!.setAttribute('title', 'Minimize');
        minimizeIcon!.classList.remove('sf-icon-Restore');
        this.dialogObj!.position = this.dialogOldPositions;
        this.dialogObj!.dataBind();
      }
    } else {
      this.dialogObj!.show(false);
      this.dialogObj!.element.classList.remove('dialog-maximized');
      this.dialogObj!.element.classList.add('dialog-minimized');
      this.dialogObj!.element.querySelector('.e-dlg-content')!.classList.add('hide-content');
      minimizeIcon!.classList.remove('sf-icon-Minimize');
      minimizeIcon!.removeAttribute('title');
      this.dialogObj!.position = { X: 'center', Y: 'bottom' };
      this.dialogObj!.dataBind();
      this.isFullScreen = true;
    }
  }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Add a minimize maximize buttons in React Dialog component

18 Jan 202324 minutes to read

React Dialog allows end users to either minimize or maximize the Dialog component. You can add minimize and maximize custom buttons near the close icon in the Dialog header using the headerTemplate property and handle the actions in the button click events, as shown in the following sample.

[Class-component]

import { DialogComponent } from '@syncfusion/ej2-react-popups';
import * as React from "react";
class App extends React.Component {
    settings = { effect: 'Zoom', duration: 400, delay: 0 };
    dialogInstance;
    isFullScreen;
    dialogOldPositions;
    maxBtn;
    minBtn;
    header() {
        return (<div>
          <span class='title'>Dialog</span><span class='e-icons sf-icon-Maximize' id='max-btn' title='Maximize'></span><span class='e-icons sf-icon-Minimize' id='min-btn' title='Minimize'></span>
      </div>);
    }
    buttons = [{
            buttonModel: {
                content: 'Ok',
                iconCss: 'e-icons e-ok-icon',
                isPrimary: true,
            },
            'click': () => {
                this.dialogInstance.hide();
            }
        },
        {
            buttonModel: {
                content: 'No',
                iconCss: 'e-icons e-close-icon',
            },
            'click': () => {
                this.dialogInstance.hide();
            }
        },
    ];
    handleClick() {
        this.dialogInstance.show();
    }
    onCreate() {
        this.maxBtn = document.getElementById('max-btn');
        this.maxBtn.onclick = (e) => {
            var maximizeIcon;
            if (this.dialogInstance.element.classList.contains('dialog-minimized')) {
                this.dialogInstance.element.querySelector('#min-btn').classList.add('sf-icon-Minimize');
                this.dialogInstance.element.querySelector('#min-btn').classList.remove('sf-icon-Restore');
                this.dialogInstance.element.querySelector('#min-btn').setAttribute('title', 'Minimize');
            }
            if (!this.dialogInstance.element.classList.contains('dialog-maximized') && !this.isFullScreen) {
                maximizeIcon = this.dialogInstance.element.querySelector(".e-dlg-header-content .sf-icon-Maximize");
            }
            else {
                maximizeIcon = this.dialogInstance.element.querySelector(".e-dlg-header-content .sf-icon-Restore");
            }
            if (!this.dialogInstance.element.classList.contains('dialog-maximized')) {
                this.dialogInstance.element.classList.add('dialog-maximized');
                this.dialogInstance.show(true);
                maximizeIcon.classList.add('sf-icon-Restore');
                maximizeIcon.setAttribute('title', 'Restore');
                maximizeIcon.classList.remove('sf-icon-Maximize');
                this.dialogInstance.element.querySelector('.e-dlg-content').classList.remove('hide-content');
                this.isFullScreen = true;
            }
            else {
                this.dialogInstance.element.classList.remove('dialog-maximized');
                this.dialogInstance.show(false);
                maximizeIcon.classList.remove('sf-icon-Restore');
                maximizeIcon.classList.add('sf-icon-Maximize');
                maximizeIcon.setAttribute('title', 'Maximize');
                this.dialogInstance.element.querySelector('.e-dlg-content').classList.remove('hide-content');
                this.dialogInstance.position = this.dialogOldPositions;
                this.dialogInstance.dataBind();
                this.isFullScreen = false;
            }
        };
        this.minBtn = document.getElementById('min-btn');
        this.minBtn.onclick = (e) => {
            var minimizeIcon = this.dialogInstance.element.querySelector(".e-dlg-header-content .sf-icon-Minimize");
            if (!this.dialogInstance.element.classList.contains('e-dlg-fullscreen')) {
                if (!this.dialogInstance.element.classList.contains('dialog-minimized')) {
                    this.dialogOldPositions = { X: this.dialogInstance.position.X, Y: this.dialogInstance.position.Y };
                    this.dialogInstance.element.classList.add('dialog-minimized');
                    this.dialogInstance.element.classList.remove('dialog-maximized');
                    this.dialogInstance.element.querySelector('.e-dlg-content').classList.add('hide-content');
                    this.dialogInstance.position = { X: 'center', Y: 'bottom' };
                    this.dialogInstance.dataBind();
                    minimizeIcon.classList.add('sf-icon-Restore');
                    minimizeIcon.setAttribute('title', 'Restore');
                }
                else {
                    this.dialogInstance.element.classList.remove('dialog-minimized');
                    this.dialogInstance.element.querySelector('.e-dlg-content').classList.remove('hide-content');
                    minimizeIcon.classList.add('sf-icon-Minimize');
                    minimizeIcon.setAttribute('title', 'Minimize');
                    minimizeIcon.classList.remove('sf-icon-Restore');
                    this.dialogInstance.position = this.dialogOldPositions;
                    this.dialogInstance.dataBind();
                }
            }
            else {
                this.dialogInstance.show(false);
                this.dialogInstance.element.classList.remove('dialog-maximized');
                this.dialogInstance.element.classList.add('dialog-minimized');
                this.dialogInstance.element.querySelector('.e-dlg-content').classList.add('hide-content');
                minimizeIcon.classList.remove('sf-icon-Minimize');
                minimizeIcon.removeAttribute('title');
                this.dialogInstance.position = { X: 'center', Y: 'bottom' };
                this.dialogInstance.dataBind();
                this.isFullScreen = true;
            }
        };
    }
    render() {
        return (<div className="App" id='dialog-target'>
      <button className='e-control e-btn' id='targetButton1' role='button' onClick={this.handleClick = this.handleClick.bind(this)}>Open</button>
     <DialogComponent id='dialog' created={this.onCreate.bind(this)} header={this.header} animationSettings={this.settings} showCloseIcon={true} closeOnEscape={true} width='300px' buttons={this.buttons} content='This is a dialog with minimize and maximize buttons' ref={dialog => this.dialogInstance = dialog} target='#dialog-target'/>
  </div>);
    }
}
export default App;
import { DialogComponent } from '@syncfusion/ej2-react-popups';
import * as React from "react";

class App extends React.Component<{}, {}> {
  public settings: any = { effect: 'Zoom', duration: 400, delay: 0 };

public dialogInstance: DialogComponent;
public isFullScreen: Boolean;
public dialogOldPositions: any;
public maxBtn:HTMLElement;
public minBtn: HTMLElement;
 header() {
        return (<div>
          <span class='title'>Dialog</span><span class='e-icons sf-icon-Maximize' id='max-btn' title='Maximize'></span><span class='e-icons sf-icon-Minimize' id='min-btn' title='Minimize'></span>
      </div>);
    }
public buttons: any = [{
    buttonModel: {
        content: 'Ok',
        iconCss: 'e-icons e-ok-icon',
        isPrimary: true,
    },
    'click': () => {
        this.dialogInstance.hide();
    }
},
{
    buttonModel: {
        content: 'No',
        iconCss: 'e-icons e-close-icon',
    },
    'click': () => {
        this.dialogInstance.hide();
    }
},
];
public handleClick() {
    this.dialogInstance.show();
}
public onCreate() {
    this.maxBtn = document.getElementById('max-btn') as HTMLElement;
    this.maxBtn.onclick = (e: Event) => {
     var maximizeIcon;
    if (this.dialogInstance.element.classList.contains('dialog-minimized')) {
      this.dialogInstance.element.querySelector('#min-btn').classList.add('sf-icon-Minimize');
      this.dialogInstance.element.querySelector('#min-btn').classList.remove('sf-icon-Restore');
      this.dialogInstance.element.querySelector('#min-btn').setAttribute('title', 'Minimize');
    }
    if (!this.dialogInstance.element.classList.contains('dialog-maximized') && !this.isFullScreen) {
      maximizeIcon = this.dialogInstance.element.querySelector(".e-dlg-header-content .sf-icon-Maximize");
    } else {
      maximizeIcon = this.dialogInstance.element.querySelector(".e-dlg-header-content .sf-icon-Restore");
    }
    if (!this.dialogInstance.element.classList.contains('dialog-maximized')) {
      this.dialogInstance.element.classList.add('dialog-maximized');
      this.dialogInstance.show(true);
      maximizeIcon.classList.add('sf-icon-Restore');
      maximizeIcon.setAttribute('title', 'Restore');
      maximizeIcon.classList.remove('sf-icon-Maximize');
      this.dialogInstance.element.querySelector('.e-dlg-content').classList.remove('hide-content');
      this.isFullScreen = true;
    } else {
      this.dialogInstance.element.classList.remove('dialog-maximized');
      this.dialogInstance.show(false);
      maximizeIcon.classList.remove('sf-icon-Restore');
      maximizeIcon.classList.add('sf-icon-Maximize');
      maximizeIcon.setAttribute('title', 'Maximize');
      this.dialogInstance.element.querySelector('.e-dlg-content').classList.remove('hide-content');
      this.dialogInstance.position = this.dialogOldPositions;
      this.dialogInstance.dataBind();
      this.isFullScreen = false;
    }
}
    this.minBtn = document.getElementById('min-btn') as HTMLElement;
    this.minBtn.onclick = (e: Event) => {
        var minimizeIcon = this.dialogInstance.element.querySelector(".e-dlg-header-content .sf-icon-Minimize");
        if (!this.dialogInstance.element.classList.contains('e-dlg-fullscreen')) {
        if (!this.dialogInstance.element.classList.contains('dialog-minimized')) {
            this.dialogOldPositions = { X: this.dialogInstance.position.X, Y: this.dialogInstance.position.Y }
            this.dialogInstance.element.classList.add('dialog-minimized');
            this.dialogInstance.element.classList.remove('dialog-maximized');
            this.dialogInstance.element.querySelector('.e-dlg-content').classList.add('hide-content');
            this.dialogInstance.position = { X: 'center', Y: 'bottom' };
            this.dialogInstance.dataBind();
            minimizeIcon.classList.add('sf-icon-Restore');
            minimizeIcon.setAttribute('title', 'Restore');
        } else {
            this.dialogInstance.element.classList.remove('dialog-minimized');
            this.dialogInstance.element.querySelector('.e-dlg-content').classList.remove('hide-content');
            minimizeIcon.classList.add('sf-icon-Minimize');
            minimizeIcon.setAttribute('title', 'Minimize');
            minimizeIcon.classList.remove('sf-icon-Restore');
            this.dialogInstance.position = this.dialogOldPositions;
            this.dialogInstance.dataBind();
        }
        } else {
        this.dialogInstance.show(false);
        this.dialogInstance.element.classList.remove('dialog-maximized');
        this.dialogInstance.element.classList.add('dialog-minimized');
        this.dialogInstance.element.querySelector('.e-dlg-content').classList.add('hide-content');
        minimizeIcon.classList.remove('sf-icon-Minimize');
        minimizeIcon.removeAttribute('title');
        this.dialogInstance.position = { X: 'center', Y: 'bottom' };
        this.dialogInstance.dataBind();
        this.isFullScreen = true;
        }
    }
}

  
public render() {
  return (
  <div className="App" id='dialog-target'>
      <button className='e-control e-btn' id='targetButton1' role='button' onClick={this.handleClick = this.handleClick.bind(this)}>Open</button>
     <DialogComponent id='dialog' created={this.onCreate.bind(this)} header={this.header} animationSettings={this.settings} showCloseIcon={true} closeOnEscape={true}
      width='300px' buttons={this.buttons} content='This is a dialog with minimize and maximize buttons' ref={dialog => this.dialogInstance = dialog!}
      target='#dialog-target'/>
  </div>);
}
}
export default App;

[functional-component]

import { DialogComponent } from '@syncfusion/ej2-react-popups';
import * as React from "react";
function App() {
    let settings = { effect: 'Zoom', duration: 400, delay: 0 };
    let dialogInstance;
    let isFullScreen;
    let dialogOldPositions;
    let maxBtn;
    let minBtn;
    function header() {
        return (<div>
        <span className='title'>Dialog</span><span className='e-icons sf-icon-Maximize' id='max-btn' title='Maximize'></span><span class='e-icons sf-icon-Minimize' id='min-btn' title='Minimize'></span>
    </div>);
    }
    let buttons = [{
            buttonModel: {
                content: 'Ok',
                iconCss: 'e-icons e-ok-icon',
                isPrimary: true,
            },
            'click': () => {
                dialogInstance.hide();
            }
        },
        {
            buttonModel: {
                content: 'No',
                iconCss: 'e-icons e-close-icon',
            },
            'click': () => {
                dialogInstance.hide();
            }
        },
    ];
    function handleClick() {
        dialogInstance.show();
    }
    function onCreate() {
        maxBtn = document.getElementById('max-btn');
        maxBtn.onclick = (e) => {
            var maximizeIcon;
            if (dialogInstance.element.classList.contains('dialog-minimized')) {
                dialogInstance.element.querySelector('#min-btn').classList.add('sf-icon-Minimize');
                dialogInstance.element.querySelector('#min-btn').classList.remove('sf-icon-Restore');
                dialogInstance.element.querySelector('#min-btn').setAttribute('title', 'Minimize');
            }
            if (!dialogInstance.element.classList.contains('dialog-maximized') && !isFullScreen) {
                maximizeIcon = dialogInstance.element.querySelector(".e-dlg-header-content .sf-icon-Maximize");
            }
            else {
                maximizeIcon = dialogInstance.element.querySelector(".e-dlg-header-content .sf-icon-Restore");
            }
            if (!dialogInstance.element.classList.contains('dialog-maximized')) {
                dialogInstance.element.classList.add('dialog-maximized');
                dialogInstance.show(true);
                maximizeIcon.classList.add('sf-icon-Restore');
                maximizeIcon.setAttribute('title', 'Restore');
                maximizeIcon.classList.remove('sf-icon-Maximize');
                dialogInstance.element.querySelector('.e-dlg-content').classList.remove('hide-content');
                isFullScreen = true;
            }
            else {
                dialogInstance.element.classList.remove('dialog-maximized');
                dialogInstance.show(false);
                maximizeIcon.classList.remove('sf-icon-Restore');
                maximizeIcon.classList.add('sf-icon-Maximize');
                maximizeIcon.setAttribute('title', 'Maximize');
                dialogInstance.element.querySelector('.e-dlg-content').classList.remove('hide-content');
                dialogInstance.position = dialogOldPositions;
                dialogInstance.dataBind();
                isFullScreen = false;
            }
        };
        minBtn = document.getElementById('min-btn');
        minBtn.onclick = (e) => {
            var minimizeIcon = dialogInstance.element.querySelector(".e-dlg-header-content .sf-icon-Minimize");
            if (!dialogInstance.element.classList.contains('e-dlg-fullscreen')) {
                if (!dialogInstance.element.classList.contains('dialog-minimized')) {
                    dialogOldPositions = { X: dialogInstance.position.X, Y: dialogInstance.position.Y };
                    dialogInstance.element.classList.add('dialog-minimized');
                    dialogInstance.element.classList.remove('dialog-maximized');
                    dialogInstance.element.querySelector('.e-dlg-content').classList.add('hide-content');
                    dialogInstance.position = { X: 'center', Y: 'bottom' };
                    dialogInstance.dataBind();
                    minimizeIcon.classList.add('sf-icon-Restore');
                    minimizeIcon.setAttribute('title', 'Restore');
                }
                else {
                    dialogInstance.element.classList.remove('dialog-minimized');
                    dialogInstance.element.querySelector('.e-dlg-content').classList.remove('hide-content');
                    minimizeIcon.classList.add('sf-icon-Minimize');
                    minimizeIcon.setAttribute('title', 'Minimize');
                    minimizeIcon.classList.remove('sf-icon-Restore');
                    dialogInstance.position = dialogOldPositions;
                    dialogInstance.dataBind();
                }
            }
            else {
                dialogInstance.show(false);
                dialogInstance.element.classList.remove('dialog-maximized');
                dialogInstance.element.classList.add('dialog-minimized');
                dialogInstance.element.querySelector('.e-dlg-content').classList.add('hide-content');
                minimizeIcon.classList.remove('sf-icon-Minimize');
                minimizeIcon.removeAttribute('title');
                dialogInstance.position = { X: 'center', Y: 'bottom' };
                dialogInstance.dataBind();
                isFullScreen = true;
            }
        };
    }
    return (<div className="App" id='dialog-target'>
          <button className='e-control e-btn' id='targetButton1' role='button' onClick={handleClick.bind(this)}>Open</button>
        <DialogComponent id='dialog' created={onCreate.bind(this)} header={header} animationSettings={settings} showCloseIcon={true} closeOnEscape={true} width='300px' buttons={buttons} content='This is a dialog with minimize and maximize buttons' ref={dialog => dialogInstance = dialog} target='#dialog-target'/>
      </div>);
}
export default App;
import { DialogComponent } from '@syncfusion/ej2-react-popups';
import * as React from "react";

function App(){
  let settings: any = { effect: 'Zoom', duration: 400, delay: 0 };
  let dialogInstance: DialogComponent;
  let isFullScreen: Boolean;
  let dialogOldPositions: any;
  let maxBtn:HTMLElement;
  let minBtn: HTMLElement;
  function header() {
      return (<div>
        <span className='title'>Dialog</span><span className='e-icons sf-icon-Maximize' id='max-btn' title='Maximize'></span><span class='e-icons sf-icon-Minimize' id='min-btn' title='Minimize'></span>
    </div>);
  }
  let buttons: any = [{
      buttonModel: {
          content: 'Ok',
          iconCss: 'e-icons e-ok-icon',
          isPrimary: true,
      },
      'click': () => {
          dialogInstance.hide();
      }
  },
  {
      buttonModel: {
          content: 'No',
          iconCss: 'e-icons e-close-icon',
      },
      'click': () => {
          dialogInstance.hide();
      }
  },
  ];

  function handleClick() {
      dialogInstance.show();
  }

  function onCreate() {
      maxBtn = document.getElementById('max-btn') as HTMLElement;
      maxBtn.onclick = (e: Event) => {
       var maximizeIcon;
      if (dialogInstance.element.classList.contains('dialog-minimized')) {
        dialogInstance.element.querySelector('#min-btn').classList.add('sf-icon-Minimize');
        dialogInstance.element.querySelector('#min-btn').classList.remove('sf-icon-Restore');
        dialogInstance.element.querySelector('#min-btn').setAttribute('title', 'Minimize');
      }
      if (!dialogInstance.element.classList.contains('dialog-maximized') && !isFullScreen) {
        maximizeIcon = dialogInstance.element.querySelector(".e-dlg-header-content .sf-icon-Maximize");
      } else {
        maximizeIcon = dialogInstance.element.querySelector(".e-dlg-header-content .sf-icon-Restore");
      }
      if (!dialogInstance.element.classList.contains('dialog-maximized')) {
        dialogInstance.element.classList.add('dialog-maximized');
        dialogInstance.show(true);
        maximizeIcon.classList.add('sf-icon-Restore');
        maximizeIcon.setAttribute('title', 'Restore');
        maximizeIcon.classList.remove('sf-icon-Maximize');
        dialogInstance.element.querySelector('.e-dlg-content').classList.remove('hide-content');
        isFullScreen = true;
      } else {
        dialogInstance.element.classList.remove('dialog-maximized');
        dialogInstance.show(false);
        maximizeIcon.classList.remove('sf-icon-Restore');
        maximizeIcon.classList.add('sf-icon-Maximize');
        maximizeIcon.setAttribute('title', 'Maximize');
        dialogInstance.element.querySelector('.e-dlg-content').classList.remove('hide-content');
        dialogInstance.position = dialogOldPositions;
        dialogInstance.dataBind();
        isFullScreen = false;
      }
    }
    minBtn = document.getElementById('min-btn') as HTMLElement;
    minBtn.onclick = (e: Event) => {
        var minimizeIcon = dialogInstance.element.querySelector(".e-dlg-header-content .sf-icon-Minimize");
        if (!dialogInstance.element.classList.contains('e-dlg-fullscreen')) {
        if (!dialogInstance.element.classList.contains('dialog-minimized')) {
            dialogOldPositions = { X: dialogInstance.position.X, Y: dialogInstance.position.Y }
            dialogInstance.element.classList.add('dialog-minimized');
            dialogInstance.element.classList.remove('dialog-maximized');
            dialogInstance.element.querySelector('.e-dlg-content').classList.add('hide-content');
            dialogInstance.position = { X: 'center', Y: 'bottom' };
            dialogInstance.dataBind();
            minimizeIcon.classList.add('sf-icon-Restore');
            minimizeIcon.setAttribute('title', 'Restore');
        } else {
            dialogInstance.element.classList.remove('dialog-minimized');
            dialogInstance.element.querySelector('.e-dlg-content').classList.remove('hide-content');
            minimizeIcon.classList.add('sf-icon-Minimize');
            minimizeIcon.setAttribute('title', 'Minimize');
            minimizeIcon.classList.remove('sf-icon-Restore');
            dialogInstance.position = dialogOldPositions;
            dialogInstance.dataBind();
        }
        } else {
        dialogInstance.show(false);
        dialogInstance.element.classList.remove('dialog-maximized');
        dialogInstance.element.classList.add('dialog-minimized');
        dialogInstance.element.querySelector('.e-dlg-content').classList.add('hide-content');
        minimizeIcon.classList.remove('sf-icon-Minimize');
        minimizeIcon.removeAttribute('title');
        dialogInstance.position = { X: 'center', Y: 'bottom' };
        dialogInstance.dataBind();
        isFullScreen = true;
        }
      }
    }
    return (
      <div className="App" id='dialog-target'>
          <button className='e-control e-btn' id='targetButton1' role='button' onClick={handleClick.bind(this)}>Open</button>
        <DialogComponent id='dialog' created={onCreate.bind(this)} header={header} animationSettings={settings} showCloseIcon={true} closeOnEscape={true}
          width='300px' buttons={buttons} content='This is a dialog with minimize and maximize buttons' ref={dialog => dialogInstance = dialog!}
          target='#dialog-target'/>
      </div>
    );
}

export default App;